/* SCCS_Id = "@(#)ansi.h\tver 1.1 (92/05/11 15:52:51)"; */

#ifndef _ANSI_H
#define _ANSI_H

/*
 * Copyright 1992 Barry Brachman
 * See included file "copyright.h" for complete copyright information.
 */
#include "copyright.h"

/* Inspired by gdb 4.0, for better or worse... */

#ifdef __USE_ANSI_C__

#define PROTO(X)			X
#define PARAMS(arglist, args)  		(args)
#define NOPARAMS()	        	(void)
#define _AND_				,
#define DOTS				, ...
#define VOID				void

#else

#define PROTO(X)			()
#define PARAMS(arglist, args)	 	arglist args;
#define NOPARAMS()	        	()
#define _AND_				;
#define DOTS
#define VOID

#endif

#endif

