static char *SCCS_Id = "@(#)fetch.c\tver 1.1 (92/05/11 15:51:38)";

/*
 * Copyright 1992 Barry Brachman
 * See included file "copyright.h" for complete copyright information.
 */

#include <stdio.h>

#include "local.h"

/*
 * Get the item in the database with the given KEY.
 * The space used by VALUE should only be freed if it is marked
 * as INDIRECT.
 *
 * Maybe should be copy/nocopy flag...
 */
DbmRc
DbmFetch PARAMS((dbm, tid, key, value),
Dbm *dbm			_AND_
Tid *tid			_AND_
Datum key			_AND_
Datum *value)
{
	DbmTrans trans;

	trans.dbm = dbm;
	trans.dbf = dbm->dbmfile;
	trans.tid = tid;
	return(GetValue(&trans, &key, value, 1));
}
