static char *SCCS_Id = "@(#)find.c\tver 1.1 (92/05/11 15:51:39)";

/*
 * Copyright 1992 Barry Brachman
 * See included file "copyright.h" for complete copyright information.
 */

#include <stdio.h>

#include "local.h"

/*
 * Find the entry in the database with the given KEY without actually
 * retrieving the value.
 */
DbmRc
DbmFind PARAMS((dbm, tid, key, value),
Dbm *dbm		_AND_
Tid *tid		_AND_
Datum key		_AND_
Datum *value)
{
	DbmTrans trans;

	trans.dbm = dbm;
	trans.dbf = dbm->dbmfile;
	trans.tid = tid;

	return (GetValue(&trans, &key, value, 0));
}
