static char *SCCS_Id = "@(#)store.c\tver 1.1 (92/05/11 15:51:56)";

/*
 * Copyright 1992 Barry Brachman
 * See included file "copyright.h" for complete copyright information.
 */

#include <stdio.h>

#include "local.h"

/*
 *
 */
DbmRc
DbmStore PARAMS((dbm, tid, key, value, mode),
Dbm *dbm				_AND_
Tid *tid				_AND_
Datum key				_AND_
Datum value				_AND_
DbmStoreMode mode)
{
	DbmTrans trans;

	/* The descriptor is unsigned. */
	if (value.desc > MAXALIGN)
		return(DBM_BAD_ALIGNMENT);
	if (key.dsize == 0)
		return(DBM_NULL_KEY);

	trans.dbm = dbm;
	trans.dbf = dbm->dbmfile;
	trans.tid = tid;
	return(StoreEntry(&trans, &key, &value, mode));
}
